-- Deploy tipus:login_attempt to pg
-- requires: schema_auth

begin;

set search_path to auth;

create table login_attempt
(
    attempt_id   bigserial primary key,
    user_name    text        not null,
    ip_address   inet -- just in case we logged from a non web application, somehow
    ,
    success      boolean     not null,
    attempted_at timestamptz not null default current_timestamp
);

commit;
